VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
VstSpeakerArrangementTest Class Reference

Test Speaker Arrangement. More...

`#include <vsttestsuite.h>`

Inheritance diagram for VstSpeakerArrangementTest:

## Public Member Functions
| VstSpeakerArrangementTest (IPlugProvider *plugProvider, ProcessSampleSize sampl, SpeakerArrangement inSpArr, SpeakerArrangement outSpArr)
const char * | getName () const SMTG_OVERRIDE
bool | run (ITestResult *testResult) SMTG_OVERRIDE
Public Member Functions inherited from VstProcessTest
| VstProcessTest (IPlugProvider *plugProvider, ProcessSampleSize sampl)
bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *testResult) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
Public Member Functions inherited from VstTestEnh
| VstTestEnh (IPlugProvider *plugProvider, ProcessSampleSize sampl)
virtual | ~VstTestEnh ()
bool | setup () SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
Public Member Functions inherited from VstTestBase
| VstTestBase (IPlugProvider *plugProvider)
virtual | ~VstTestBase ()
DECLARE_FUNKNOWN_METHODS bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *) SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
virtual void | printTestHeader (ITestResult *testResult)

## Static Public Member Functions
static const char * | getSpeakerArrangementName (SpeakerArrangement spArr)

## Protected Member Functions
bool | prepareProcessing () SMTG_OVERRIDE
bool | verifySA (int32 numBusses, AudioBusBuffers *buses, SpeakerArrangement spArr, ITestResult *testResult)
Protected Member Functions inherited from VstProcessTest
virtual bool | unprepareProcessing ()
| free dynamic memory of ProcessData More...
virtual bool | preProcess (ITestResult *testResult)
| is called just before the process call More...
virtual bool | postProcess (ITestResult *testResult)
| is called right after the process call More...
bool | setupBuffers (int32 numBusses, AudioBusBuffers *audioBuffers, BusDirection dir)
bool | setupBuffers (AudioBusBuffers &audioBuffers)
bool | freeBuffers (int32 numBuses, AudioBusBuffers *buses)
bool | canProcessSampleSize (ITestResult *testResult)
| audioEffect has to be available More...

## Additional Inherited Members
Public Types inherited from VstTestEnh
enum | AudioDefaults { kBlockSize = 64, kMaxSamplesPerBlock = 8192, kSampleRate = 44100 }
Protected Attributes inherited from VstProcessTest
HostProcessData | processData
Protected Attributes inherited from VstTestEnh
IAudioProcessor * | audioEffect
ProcessSetup | processSetup
Protected Attributes inherited from VstTestBase
IPlugProvider * | plugProvider
IComponent * | vstPlug
IEditController * | controller

## Detailed Description

Test Speaker Arrangement.

## Constructor & Destructor Documentation

VstSpeakerArrangementTest | ( | IPlugProvider * | plugProvider,
|  | ProcessSampleSize | sampl,
|  | SpeakerArrangement | inSpArr,
|  | SpeakerArrangement | outSpArr
| ) |  |

## Member Function Documentation

const char * getName | ( |  | ) | const
| virtual

Reimplemented from VstProcessTest.

const char * getSpeakerArrangementName | ( | SpeakerArrangement | spArr | ) |
| static

bool run | ( | ITestResult * | testResult | ) |

bool prepareProcessing | ( |  | ) |
| protected virtual

Reimplemented from VstProcessTest.

bool verifySA | ( | int32 | numBusses,
|  | AudioBusBuffers * | buses,
|  | SpeakerArrangement | spArr,
|  | ITestResult * | testResult
| ) |  |
| protected

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.